Summary:	A vi-like pdf reader
Summary(hu.UTF-8):	Egy vi-szerű pdf olvasó
Summary(pl.UTF-8):	Czytnik pdf podobny do vi
Name:		zathura
Version:	0.3.7
Release:	1
License:	BSD-like
Group:		Applications
Source0:	http://pwmt.org/projects/zathura/download/%{name}-%{version}.tar.gz
# Source0-md5:	b2c9e23e9f494e1ced5069f850dba673
Source1:	config.txt
URL:		http://pwmt.org/projects/zathura
BuildRequires:	girara-devel >= 0.2.7
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gtk+3-devel >= 3.6
BuildRequires:	intltool
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig
BuildRequires:	python-docutils
BuildRequires:	sqlite3-devel >= 3.5.9
BuildRequires:	zlib-devel
Requires:	girara >= 0.2.7
Requires:	glib2 >= 1:2.32.0
Requires:	gtk+3 >= 3.6
Requires:	sqlite3 >= 3.5.9
Suggests:	zathura-pdf-poppler
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
zathura is a highly customizable and functional PDF viewer based on
the poppler rendering library and the gtk+ toolkit. The idea behind
zathura is an application that provides a minimalistic and space
saving interface as well as an easy usage that mainly focuses on
keyboard interaction.

%description -l hu.UTF-8
zathura egy magas szinten konfigurálható és funkcionális PDF olvasó a
poppler és gtk+ könyvtárako alapulva. A zathura célja, hogy egy olyan
alkalmazás legyen, amely minimalista és terület-takarékos felületet
biztosítson, amennyire lehet, és könnyen lehessen használni, főleg
billentyűzet segítségével.

%description -l pl.UTF-8
zathura jest wysoko konfigurowalnym i funkcjonalnym wyświetlaczem PDF
opartym na bibliotece renderującej poppler i zestawie narzędziowym
gtk+. zathura jest aplikacją, która udostępnia minimalistyczny i nie
zajmujący dużo miejsca interfejs, który jednocześnie jest prosty w
użyciu. Interfejs skupia się głównie na interakcji klawiaturowej.

%package devel
Summary:	Header files for zathura
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for zathura.

%prep
%setup -q
cp %{SOURCE1} config.txt
%{__mv} po/id_ID.po po/id.po

%build
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} \
	COLOR=0 \
	VERBOSE=1 \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}

%{__mv} $RPM_BUILD_ROOT%{_localedir}/no $RPM_BUILD_ROOT%{_localedir}/nb
%{__mv} $RPM_BUILD_ROOT%{_localedir}/ta_IN $RPM_BUILD_ROOT%{_localedir}/ta
%{__mv} $RPM_BUILD_ROOT%{_localedir}/uk_UA $RPM_BUILD_ROOT%{_localedir}/uk

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc LICENSE README config.txt
%attr(755,root,root) %{_bindir}/zathura
%{_desktopdir}/%{name}.desktop
%{_datadir}/appdata/zathura.appdata.xml
%{_datadir}/dbus-1/interfaces/org.pwmt.zathura.xml
%{_mandir}/man1/zathura.1*
%{_mandir}/man5/zathurarc.5*
%dir %{_libdir}/zathura

%files devel
%defattr(644,root,root,755)
%{_includedir}/zathura
%{_pkgconfigdir}/zathura.pc
%changelog
* Thu Jan 19 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zathura.git;a=log;h=master

* Wed Jan 11 2017 Jan Palus <atler@pld-linux.org> ac32e69
- up to 0.3.7

* Mon Apr 18 2016 Jan Palus <atler@pld-linux.org> d6730e7
- up to 0.3.6

* Mon Feb 15 2016 Jan Palus <atler@pld-linux.org> 952f597
- up to 0.3.5

* Mon Dec 28 2015 Jan Palus <atler@pld-linux.org> 41c46f6
- up to 0.3.4

* Tue Apr 14 2015 Jan Palus <atler@pld-linux.org> 9f0fb54
- up to 0.3.3

* Wed Nov 12 2014 Jan Palus <atler@pld-linux.org> 8c27609
- up to 0.3.2

* Wed Oct 22 2014 Jan Palus <atler@pld-linux.org> fcab469
- up to 0.3.1

* Fri Oct 17 2014 Jan Palus <atler@pld-linux.org> c4aa149
- up to 0.3.0
- bump required girara version
- disable colors in build (introduces unknown gcc param)

* Wed Jun 25 2014 Jan Palus <atler@pld-linux.org> de26b5c
- up to 0.2.9
- BR: zlib-devel; bump girara version dep

* Mon Feb 17 2014 Jan Palus <jan.palus@gmail.com> b7b1f08
- up to 0.2.7

* Mon Nov 25 2013 Jan Palus <jan.palus@gmail.com> e24c382
- up to 0.2.6

* Sat Nov 09 2013 Jan Palus <jan.palus@gmail.com> e81b852
- up to 0.2.5
- switch to gtk3 by default

* Tue Oct 15 2013 Kacper Kornet <draenog@pld-linux.org> 305de36
- move %{_libdir}/zathura to main package

* Thu Aug 15 2013 Jan Palus <jan.palus@gmail.com> 44bd5b7
- up to 0.2.4

* Mon May 13 2013 Jan Palus <jan.palus@gmail.com> 6e662f3
- up to 0.2.3

* Sun Feb 03 2013 Jan Palus <jan.palus@gmail.com> 7672e0e
- up to 0.2.2

* Sun Sep 30 2012 Jan Palus <jan.palus@gmail.com> 6561485
- up to 0.2.1
- update BRs
- devel subpackage for plugin header files

* Tue Jan 10 2012 Zsolt Udvari <uzsolt@pld-linux.org> e170c82
- 0.0.8.5
- package desktop file and zathurarc-man

* Sun Nov 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a28de68
- release 3

* Fri Apr 08 2011 Zsolt Udvari <uzsolt@pld-linux.org> 64f7946
- rel 2

